From 2e793bae571c83334e2886574dbff0dc34e66a8a Mon Sep 17 00:00:00 2001
From: Fujii Masao <fujii@postgresql.org>
Date: Thu, 19 Jun 2025 18:27:52 +0900
Subject: [PATCH v1 2/3] doc: Mention ANALYZE VERBOSE in
 track_cost_delay_timing description.

The documentation for track_cost_delay_timing describes where cost-based
vacuum delay timing information is displayed when the setting is enabled.
While this information is also shown in the output of ANALYZE VERBOSE,
that was previously omitted from the list.

This commit updates the documentation to include ANALYZE VERBOSE in the list,
clarifying that it also reports cost-based delay timing information.
---
 doc/src/sgml/config.sgml | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 0ac519706a4..f4ba58bb5c3 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -8602,7 +8602,8 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         timing information is displayed in
         <link linkend="vacuum-progress-reporting"><structname>pg_stat_progress_vacuum</structname></link>,
         <link linkend="analyze-progress-reporting"><structname>pg_stat_progress_analyze</structname></link>,
-        in the output of <xref linkend="sql-vacuum"/> when the
+        in the output of <xref linkend="sql-vacuum"/> and
+        <xref linkend="sql-analyze"/> when the
         <literal>VERBOSE</literal> option is used, and by autovacuum for
         auto-vacuums and auto-analyzes when
         <xref linkend="guc-log-autovacuum-min-duration"/> is set.
-- 
2.49.0

